/*Header fixing script-----------------------------------------------------------------------------*/
var hederfixing = function () {
  if (window.matchMedia('(min-width: 992px)').matches) {
      $("body").css("padding-top",'');
      if (!$('body').hasClass('remove-fix')) {
          var headerouter      = $(".site-header").outerHeight();
          var menuPosition      = $(".site-header").offset().top;
          $(window).on('scroll', function(event) {
            var scrollValue = $(window).scrollTop();
            if (scrollValue > menuPosition) {
                 $(".site-header").addClass('affix');
                 $("body").css("padding-top",headerouter);
            }
              else{
                 $(".site-header").removeClass('affix'); 
                  $("body").css("padding-top",'');
              }
          });

          $(".site-header").on("affix.bs.affix", function() {
            $("body").css("padding-top", headerouter);
          });

          $(".site-header").on("affix-top.bs.affix", function() {
            $("body").css("padding-top","0");
          }); 
    }
  }
    else{
        if (!$('body').hasClass('remove-fix')) {
          var headerouter      = $(".site-header").outerHeight();  
          $(".site-header").addClass("affix"); 
          $("body").css("padding-top",headerouter);
        }
    }
};
$(document).ready(hederfixing);
$(window).resize(hederfixing);




/*Size chart and cart popup script------------------------------------------------------------------------------*/
$('.iframe,.sizechart').fancybox({
    'height':478,
    'width':'80%',
    fitToView : false,
    autoSize : false,
    'beforeLoad': function(){
        //alert(1);
    }
});

/* to show the back to top icon on scrolling------------------------------------------------------------------------------*/
$(window).scroll(function() {
      if ($(this).scrollTop() > 400) { 
        $(".back-top").fadeIn()
      } else {
        $(".back-top").fadeOut()
      }
});
/* to animate to top section of the page when the user clicks on back to top link */
 $(".back-top").click(function() { 
    $("body,html").animate({scrollTop: 0}, 800);
    return false
});
/* To Expand and collaps mrnu on mobile screen */
  if (window.matchMedia('(max-width: 600px)').matches){
    $(document).on('click','ul.footerlink-list li span',function(){
     $(this).next('ul').slideToggle();
     $(this).toggleClass("actv");
    });
  }
if($(".loginregister ").length){ 
     $(".loginregister .register a").attr("section","signup").addClass("popuplogin");
     $(".loginregister .login a").attr("section","login").addClass("popuplogin");
 }  
$(document).ready(function(){
/*Static block fixing script-----------------------------------------------------------------------------*/
$(".close-static").click(function() { 
    $(this).parents('.staticblock').removeClass("d-lg-block");
    hederfixing();
});    
/*Qutity update js----------------------------------------------------------------------------------------*/
    $(document).on("click",'.qtybox .add', function () {
            $(this).prev().val(+$(this).prev().val() + 1);
            var qtyrel  =   $(this).attr('rel');
            $('#orderQuantity_'+qtyrel).trigger('change');
    });
    $(document).on("click",'.qtybox .sub', function () {
        if ($(this).next().val() > 1) {
            if ($(this).next().val() > 1) $(this).next().val(+$(this).next().val() - 1);
        }
        var qtyrel  =   $(this).attr('rel');
        $('#orderQuantity_'+qtyrel).trigger('change');
    });
/*Login click  close drop down div  script------------------------------------------------------------------------------*/
    $(".myaccount-drop .popuplogin").click(function(){
        $(this).parents(".dropdown").removeClass("open");
    });
    $(".user-block .popuplogin").click(function(){
       $(".menu-close").trigger("click");
    });
    /*Menu open close  script------------------------------------------------------------------------------*/
$('.menu-open').click(function() {
    $('body').addClass('show-menu');
}); 
$('.menu-close,.mask').click(function() {
    $('body').removeClass('show-menu');
}); 
if (window.matchMedia('(max-width: 991px)').matches) {
    // if ($(this).has(".child_1").length) {
  $(".main-navigation > li").each(function() {
    if ($(this).has("ul").length) {
      $(this).prepend('<span class="show-sub"></span>');
      $(this).children("ul").addClass("child_1");
    }
  });

  // $(".child_1 .subitems ul:first-child li,.grand_sub_menu ul:first-child li").each(function() {
  $(".child_1 > li > ul > li").each(function() {
    if ($(this).has("ul").length) {
      $(this).prepend('<span class="show-sub2"></span>');
    }
  });

  $(".main-navigation .show-sub").click(function() {
    if ($(this).hasClass("active")) {
      $(this).parent("li").children('.child_1').slideUp();
      $(this).removeClass("active");
    } else {
      $(this).parent("li").children('.child_1').slideDown();
      $(this).addClass("active");
    }

  });

  $(".main-navigation .show-sub2").click(function() {
    if ($(this).hasClass("active")) {
      // $(this).parent("li").children('.grand_sub_menu').slideUp();
      $(this).siblings('ul').slideUp();
      $(this).removeClass("active");
    } else {
      // $(this).parent("li").children('.grand_sub_menu').slideDown();
      $(this).siblings('ul').slideDown();
      $(this).addClass("active");
    }
  });

}
else {
  $(".main-navigation > li").each(function() {
    if ($(this).has("ul").length) {
      // down-arr
      $(this).children("a,span").addClass('down-arr');
    }
  });
}

});